Loading...
Searching...
No Matches
caf::atom_constant< V > Struct Template Reference

Lifts an atom_value to a compile-time constant. More...

`#include <atom.hpp>`

## Public Member Functions

constexpr | operator atom_value () const
| Returns the wrapped value.

## Static Public Member Functions

static constexpr uint64_t | uint_value ()
| Returns the wrapped value as its base type.
static constexpr atom_value | get_value ()
| Returns the wrapped value.

## Static Public Attributes

static const atom_constant | value
| Returns an instance of this constant (not an atom_value).

## Detailed Description

template<atom_value V>
struct caf::atom_constant< V >

Lifts an atom_value to a compile-time constant.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/atom.hpp